darcs-2.16.5: a distributed, interactive, smart revision control system

Safe Haskell | Safe-Inferred
Language | Haskell2010

Darcs.Repository.Resolution

# Documentation

standardResolution :: (Commute p, PrimPatchBase p, Conflict p) => RL (PatchInfoAnd rt p) wO wX -> RL (PatchInfoAnd rt p) wX wY -> StandardResolution (PrimOf p) wY #

externalResolution #

Arguments

:: forall p wX wY wZ wA. (RepoPatch p, ApplyState p ~ Tree) |
=> DiffAlgorithm |
-> Tree IO | working tree
-> String | external merge tool command
-> WantGuiPause | tell whether we want GUI pause
-> FL (PrimOf p) wX wY | our effect
-> FL (PrimOf p) wX wZ | their effect
-> FL p wY wA | them merged (standard_resolution)
-> IO (Sealed (FL (PrimOf p) wA)) |

patchsetConflictResolutions :: RepoPatch p => PatchSet rt p Origin wX -> StandardResolution (PrimOf p) wX #

data StandardResolution prim wX #

Constructors

StandardResolution |
Fields mangled :: Mangled prim wX unmangled :: [Unravelled prim wX] conflictedPaths :: [AnchoredPath]

announceConflicts :: PrimPatch prim => String -> AllowConflicts -> ExternalMerge -> StandardResolution prim wX -> IO Bool #

warnUnmangled :: PrimPatch prim => StandardResolution prim wX -> IO () #

showUnmangled :: PrimPatch prim => [Unravelled prim wX] -> Doc #

showUnravelled :: PrimPatch prim => Doc -> Unravelled prim wX -> Doc #